HHVM a chyba Parameter 3 to Nette\DI\DependencyChecker::isExpired() expected to be a reference, value given

před 2 lety

genesiscz
Člen | 21
+
0
-

Zdravím, snažím se zprovoznit appku na Nette pod HHVM, ale zatim se nijak moc nedaří. v DependencyChecker.php je

<?php
public static function isExpired($version, $files, &$phpFiles, $classes, $functions, $hash)
?>

ale v ContainerLoader se to volá jako

<?php
       return empty($meta[0])
				|| DependencyChecker::isExpired(...$meta)
				|| ($orig !== $meta[2] && $updatedMeta = serialize($meta));

?>

normálně pod apachema to funguje, asi je php tak chytrý že mu tu referenci předá, ale HHVM ne. Neřešil to někdo někde už?

Editoval genesiscz (8. 3. 2018 13:47)

před 2 lety

David Matějka
Moderator | 5981
+
+3
-

hhvm (jiz) neni podporovane. a ani nema moc smysl jej pouzivat od php7